Loading...
Searching...
No Matches
xccdf_warning Struct Reference
XCCDF

XCCDF warning. More...

`#include <xccdf_benchmark.h>`

Collaboration diagram for xccdf_warning:
[legend]

## Public Member Functions

OSCAP_API struct xccdf_warning * | xccdf_warning_new (void)
OSCAP_API struct xccdf_warning * | xccdf_warning_clone (const struct xccdf_warning *old_warning)
OSCAP_API void | xccdf_warning_free (struct xccdf_warning *warn)
Getters
Return value is pointer to structure's member. Do not free unless you null the pointer in the structure. Use remove function otherwise.
OSCAP_API xccdf_warning_category_t | xccdf_warning_get_category (const struct xccdf_warning *warning)
OSCAP_API struct oscap_text * | xccdf_warning_get_text (const struct xccdf_warning *warning)
Setters
For lists use add functions. Parameters of set functions are duplicated in memory and need to be freed by caller.
OSCAP_API bool | xccdf_warning_set_category (struct xccdf_warning *obj, xccdf_warning_category_t newval)
OSCAP_API bool | xccdf_warning_set_text (struct xccdf_warning *obj, struct oscap_text *newval)

## Data Fields

struct oscap_text * | text
xccdf_warning_category_t | category

## Detailed Description

XCCDF warning.

The documentation for this struct was generated from the following files:

- item.h
- xccdf_benchmark.h